Batch get users
curl --request POST \
--url https://api.ofauth.com/v3/access/users/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-linked-account-id: <api-key>' \
--data '
{
"userIds": [
"<string>"
]
}
'import requests
url = "https://api.ofauth.com/v3/access/users/batch"
payload = { "userIds": ["<string>"] }
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-linked-account-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({userIds: ['<string>']})
};
fetch('https://api.ofauth.com/v3/access/users/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/users/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/users/batch"
payload := strings.NewReader("{\n \"userIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ofauth.com/v3/access/users/batch")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/users/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"users": [
{
"id": 123,
"username": "<string>",
"name": "<string>",
"isVerified": true,
"avatar": "<string>",
"lists": [
{
"id": "<string>",
"type": "<string>",
"name": "<string>"
}
],
"displayName": "<string>",
"avatarThumbs": {},
"notice": "<string>",
"about": "<string>",
"isMarkdownDisabledForAbout": true,
"website": "<string>",
"wishlist": "<string>",
"location": "<string>",
"header": "<string>",
"headerSize": {
"width": 123,
"height": 123
},
"headerThumbs": {
"w480": "<string>",
"w760": "<string>"
},
"subscribersCount": 123,
"postsCount": 123,
"archivedPostsCount": 123,
"privateArchivedPostsCount": 123,
"photosCount": 123,
"videosCount": 123,
"audiosCount": 123,
"mediasCount": 123,
"favoritesCount": 123,
"favoritedCount": 123,
"joinDate": "<string>",
"lastSeen": "<string>",
"subscribedBy": true,
"subscribedByExpire": true,
"subscribedByExpireDate": "<string>",
"subscribedByAutoprolong": true,
"subscribedIsExpiredNow": true,
"subscribedByData": {
"price": 123,
"newPrice": 123,
"regularPrice": 123,
"subscribePrice": 123,
"discountPercent": 123,
"discountPeriod": 123,
"subscribeAt": "<string>",
"expiredAt": "<string>",
"renewedAt": "<string>",
"discountFinishedAt": "<string>",
"discountStartedAt": "<string>",
"status": "<string>",
"isMuted": true,
"unsubscribeReason": "<string>",
"duration": "<string>",
"hasActivePaidSubscriptions": true,
"showPostsInFeed": true,
"subscribes": [
{
"id": 123,
"userId": 123,
"subscriberId": 123,
"date": "<string>",
"duration": 123,
"startDate": "<string>",
"expireDate": "<string>",
"cancelDate": "<string>",
"price": 123,
"regularPrice": 123,
"discount": 123,
"earningId": 123,
"action": "<string>",
"type": "<string>",
"offerStart": "<string>",
"offerEnd": "<string>",
"isCurrent": true
}
]
},
"subscribedOn": true,
"subscribedOnExpiredNow": true,
"subscribedOnDuration": "<string>",
"subscribedOnData": {
"price": 123,
"newPrice": 123,
"regularPrice": 123,
"subscribePrice": 123,
"discountPercent": 123,
"discountPeriod": 123,
"subscribeAt": "<string>",
"expiredAt": "<string>",
"renewedAt": "<string>",
"discountFinishedAt": "<string>",
"discountStartedAt": "<string>",
"status": "<string>",
"isMuted": true,
"unsubscribeReason": "<string>",
"duration": "<string>",
"hasActivePaidSubscriptions": true,
"subscribes": [
{
"id": 123,
"userId": 123,
"subscriberId": 123,
"date": "<string>",
"duration": 123,
"startDate": "<string>",
"expireDate": "<string>",
"cancelDate": "<string>",
"price": 123,
"regularPrice": 123,
"discount": 123,
"earningId": 123,
"action": "<string>",
"type": "<string>",
"offerStart": "<string>",
"offerEnd": "<string>",
"isCurrent": true
}
],
"tipsSumm": 123,
"subscribesSumm": 123,
"messagesSumm": 123,
"postsSumm": 123,
"streamsSumm": 123,
"totalSumm": 123
},
"subscribePrice": 123,
"currentSubscribePrice": 123,
"canAddSubscriber": true,
"tipsEnabled": true,
"tipsTextEnabled": true,
"tipsMin": 123,
"tipsMinInternal": 123,
"tipsMax": 123,
"canLookStory": true,
"canCommentStory": true,
"hasNotViewedStory": true,
"hasStories": true,
"isRestricted": true,
"canRestrict": true,
"isBlocked": true,
"canReport": true,
"canUnsubscribe": true,
"isPendingAutoprolong": true,
"isPerformer": true,
"isRealPerformer": true,
"canReceiveChatMessage": true,
"canChat": true,
"showPostsInFeed": true,
"hasPinnedPosts": true,
"hasLabels": true,
"isPrivateRestriction": true,
"showSubscribersCount": true,
"showMediaCount": true,
"isReferrerAllowed": true,
"canCreatePromotion": true,
"canCreateTrial": true,
"isAdultContent": true,
"canTrialSend": true,
"isFriend": true,
"hasScheduledStream": true,
"hasStream": true,
"canPayInternal": true
}
]
}Lookup
Batch get users
Get up to 10 users by ID in one OnlyFans call. Each user has the fields OnlyFans returns in its m user view: identity (id, name, username, avatar, avatarThumbs, isVerified) and, depending on the user, relation, subscription, price, tips and header fields. Only id is always present. For the full profile (about, counts, join date) use GET /v3/access/users/{userId}. Users come back in request order; IDs OnlyFans cannot return are left out.
Required scope: users:read
POST
/
v3
/
access
/
users
/
batch
Batch get users
curl --request POST \
--url https://api.ofauth.com/v3/access/users/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-linked-account-id: <api-key>' \
--data '
{
"userIds": [
"<string>"
]
}
'import requests
url = "https://api.ofauth.com/v3/access/users/batch"
payload = { "userIds": ["<string>"] }
headers = {
"x-linked-account-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-linked-account-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({userIds: ['<string>']})
};
fetch('https://api.ofauth.com/v3/access/users/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ofauth.com/v3/access/users/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'userIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-linked-account-id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.ofauth.com/v3/access/users/batch"
payload := strings.NewReader("{\n \"userIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-linked-account-id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.ofauth.com/v3/access/users/batch")
.header("x-linked-account-id", "<api-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"userIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ofauth.com/v3/access/users/batch")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-linked-account-id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"users": [
{
"id": 123,
"username": "<string>",
"name": "<string>",
"isVerified": true,
"avatar": "<string>",
"lists": [
{
"id": "<string>",
"type": "<string>",
"name": "<string>"
}
],
"displayName": "<string>",
"avatarThumbs": {},
"notice": "<string>",
"about": "<string>",
"isMarkdownDisabledForAbout": true,
"website": "<string>",
"wishlist": "<string>",
"location": "<string>",
"header": "<string>",
"headerSize": {
"width": 123,
"height": 123
},
"headerThumbs": {
"w480": "<string>",
"w760": "<string>"
},
"subscribersCount": 123,
"postsCount": 123,
"archivedPostsCount": 123,
"privateArchivedPostsCount": 123,
"photosCount": 123,
"videosCount": 123,
"audiosCount": 123,
"mediasCount": 123,
"favoritesCount": 123,
"favoritedCount": 123,
"joinDate": "<string>",
"lastSeen": "<string>",
"subscribedBy": true,
"subscribedByExpire": true,
"subscribedByExpireDate": "<string>",
"subscribedByAutoprolong": true,
"subscribedIsExpiredNow": true,
"subscribedByData": {
"price": 123,
"newPrice": 123,
"regularPrice": 123,
"subscribePrice": 123,
"discountPercent": 123,
"discountPeriod": 123,
"subscribeAt": "<string>",
"expiredAt": "<string>",
"renewedAt": "<string>",
"discountFinishedAt": "<string>",
"discountStartedAt": "<string>",
"status": "<string>",
"isMuted": true,
"unsubscribeReason": "<string>",
"duration": "<string>",
"hasActivePaidSubscriptions": true,
"showPostsInFeed": true,
"subscribes": [
{
"id": 123,
"userId": 123,
"subscriberId": 123,
"date": "<string>",
"duration": 123,
"startDate": "<string>",
"expireDate": "<string>",
"cancelDate": "<string>",
"price": 123,
"regularPrice": 123,
"discount": 123,
"earningId": 123,
"action": "<string>",
"type": "<string>",
"offerStart": "<string>",
"offerEnd": "<string>",
"isCurrent": true
}
]
},
"subscribedOn": true,
"subscribedOnExpiredNow": true,
"subscribedOnDuration": "<string>",
"subscribedOnData": {
"price": 123,
"newPrice": 123,
"regularPrice": 123,
"subscribePrice": 123,
"discountPercent": 123,
"discountPeriod": 123,
"subscribeAt": "<string>",
"expiredAt": "<string>",
"renewedAt": "<string>",
"discountFinishedAt": "<string>",
"discountStartedAt": "<string>",
"status": "<string>",
"isMuted": true,
"unsubscribeReason": "<string>",
"duration": "<string>",
"hasActivePaidSubscriptions": true,
"subscribes": [
{
"id": 123,
"userId": 123,
"subscriberId": 123,
"date": "<string>",
"duration": 123,
"startDate": "<string>",
"expireDate": "<string>",
"cancelDate": "<string>",
"price": 123,
"regularPrice": 123,
"discount": 123,
"earningId": 123,
"action": "<string>",
"type": "<string>",
"offerStart": "<string>",
"offerEnd": "<string>",
"isCurrent": true
}
],
"tipsSumm": 123,
"subscribesSumm": 123,
"messagesSumm": 123,
"postsSumm": 123,
"streamsSumm": 123,
"totalSumm": 123
},
"subscribePrice": 123,
"currentSubscribePrice": 123,
"canAddSubscriber": true,
"tipsEnabled": true,
"tipsTextEnabled": true,
"tipsMin": 123,
"tipsMinInternal": 123,
"tipsMax": 123,
"canLookStory": true,
"canCommentStory": true,
"hasNotViewedStory": true,
"hasStories": true,
"isRestricted": true,
"canRestrict": true,
"isBlocked": true,
"canReport": true,
"canUnsubscribe": true,
"isPendingAutoprolong": true,
"isPerformer": true,
"isRealPerformer": true,
"canReceiveChatMessage": true,
"canChat": true,
"showPostsInFeed": true,
"hasPinnedPosts": true,
"hasLabels": true,
"isPrivateRestriction": true,
"showSubscribersCount": true,
"showMediaCount": true,
"isReferrerAllowed": true,
"canCreatePromotion": true,
"canCreateTrial": true,
"isAdultContent": true,
"canTrialSend": true,
"isFriend": true,
"hasScheduledStream": true,
"hasStream": true,
"canPayInternal": true
}
]
}Authorizations
Headers
Body
application/json
Was this page helpful?